CallingSchedulerResult (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.shared.obj

## Class CallingSchedulerResult

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.shared.obj.CallingSchedulerResult

- All Implemented Interfaces:
    com.kfuntak.gwt.json.serialization.client.JsonSerializable

      public class CallingSchedulerResult
      extends Object
      implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallingSchedulerResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.kfuntak.gwt.json.serialization.client.Serializer` | `createSerializer()`
    `String` | `getCancelResult()`
    `List<String>` | `getErrors()`
    `String` | `getMonitorResult()`
    `String` | `getPrintResult()`
    `String` | `getSchedulerOutcomes()`
    `String` | `getStatus()`
    `String` | `getTransferid()`
    `void` | `setCancelResult(String cancelResult)`
    `void` | `setErrors(List<String> errors)`
    `void` | `setMonitorResult(String monitorResult)`
    `void` | `setPrintResult(String printResult)`
    `void` | `setSchedulerOutcomes(String schedulerOutcomes)`
    `void` | `setStatus(String status)`
    `void` | `setTransferid(String transferid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallingSchedulerResult

          public CallingSchedulerResult()

  - ### Method Detail

    - #### getTransferid

          public String getTransferid()

    - #### setTransferid

          public void setTransferid(String transferid)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getErrors

          public List<String> getErrors()

    - #### setErrors

          public void setErrors(List<String> errors)

    - #### getCancelResult

          public String getCancelResult()

    - #### setCancelResult

          public void setCancelResult(String cancelResult)

    - #### getMonitorResult

          public String getMonitorResult()

    - #### setMonitorResult

          public void setMonitorResult(String monitorResult)

    - #### getSchedulerOutcomes

          public String getSchedulerOutcomes()

    - #### setSchedulerOutcomes

          public void setSchedulerOutcomes(String schedulerOutcomes)

    - #### getPrintResult

          public String getPrintResult()

    - #### setPrintResult

          public void setPrintResult(String printResult)

    - #### createSerializer

          public static com.kfuntak.gwt.json.serialization.client.Serializer createSerializer()

Copyright © 2014. All Rights Reserved.